Bug 576469 - Review Request: rubygem-mixlib-authentication - Simple per-request authentication
Summary: Review Request: rubygem-mixlib-authentication - Simple per-request authentica...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 06:59 UTC by Matthew Kent
Modified: 2010-09-11 19:51 UTC (History)
3 users (show)

Fixed In Version: rubygem-mixlib-authentication-1.1.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:42:07 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2010-03-24 06:59:09 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-authentication.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-mixlib-authentication-1.1.2-1.fc14.src.rpm
Description: Mixlib::Authentication provides a class-based header signing authentication object.

rpmlint /var/tmp/results/rubygem-mixlib-authentication-* | grep -v '/1.8/doc/'
rubygem-mixlib-authentication.src: W: no-buildroot-tag
rubygem-mixlib-authentication-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
(skipping the unexpanded-macro warnings in docs)

Build logs here http://koji.fedoraproject.org/koji/taskinfo?taskID=2071969

Comment 1 Mamoru TASAKA 2010-03-28 18:55:21 UTC
Some notes:

* Duplicate file entry
  - %{geminstdir}/Rakefile is packaged in both main and -doc package.

* %check
  - You seem to recover "rake spec" failure by "|| true", however
    what test failure are you seeing?

Comment 2 Matthew Kent 2010-03-29 08:10:24 UTC
Thanks for the review!

(In reply to comment #1)
> Some notes:
> 
> * Duplicate file entry
>   - %{geminstdir}/Rakefile is packaged in both main and -doc package.
> 

Oops, thanks!

> * %check
>   - You seem to recover "rake spec" failure by "|| true", however
>     what test failure are you seeing?    

Apologies - believe that's a remnant from testing. Just tested that it builds fine on F-13, will build okay on F-11/F-12 when the other mixlib updates I submitted are pushed.

Spec URL: http://magoazul.com/wip/SPECS/rubygem-mixlib-authentication.spec
SRPM URL:
http://magoazul.com/wip/SRPMS/rubygem-mixlib-authentication-1.1.2-2.fc14.src.rpm

* Mon Mar 19 2010 Matthew Kent <matt@bravenet.com> - 1.1.2-2
- Let check phase fail.
- Fix duplicate inclusion of Rakefile.

Comment 3 Mamoru TASAKA 2010-03-30 08:29:02 UTC
Okay.

---------------------------------------------------------
  This package (rubygem-mixlib-authentication) is 
  APPROVED by mtasaka
---------------------------------------------------------

Comment 4 Matthew Kent 2010-03-30 21:19:29 UTC
New Package CVS Request
=======================
Package Name: rubygem-mixlib-authentication
Short Description: Simple per-request authentication
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 5 Kevin Fenzi 2010-03-30 21:39:36 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-03-31 07:41:31 UTC
rubygem-mixlib-authentication-1.1.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-mixlib-authentication-1.1.2-2.fc12

Comment 7 Fedora Update System 2010-03-31 07:41:31 UTC
rubygem-mixlib-authentication-1.1.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-mixlib-authentication-1.1.2-2.fc11

Comment 8 Fedora Update System 2010-03-31 07:42:22 UTC
rubygem-mixlib-authentication-1.1.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-mixlib-authentication-1.1.2-2.fc13

Comment 9 Fedora Update System 2010-04-01 01:42:03 UTC
rubygem-mixlib-authentication-1.1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-01 01:44:17 UTC
rubygem-mixlib-authentication-1.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 04:10:36 UTC
rubygem-mixlib-authentication-1.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Michael Stahnke 2010-09-10 20:23:01 UTC
Package Change Request
======================
Package Name: rubygem-mixlib-authentication
New Branches: el5 el6
Owners: stahnma

mkent is aware of request.

Comment 13 Kevin Fenzi 2010-09-11 19:51:00 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.